Bug 1126024 - Importing a older manifest, deleting it, and importing a newer one results in error
Summary: Importing a older manifest, deleting it, and importing a newer one results in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Carter Kozak
QA Contact: sthirugn@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1126026
TreeView+ depends on / blocked
 
Reported: 2014-08-01 15:40 UTC by Justin Sherrill
Modified: 2014-09-15 00:09 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1126026 (view as bug list)
Environment:
Last Closed: 2014-09-11 12:23:49 UTC


Attachments (Terms of Use)
Traceback (11.60 KB, text/plain)
2014-08-01 15:41 UTC, Justin Sherrill
no flags Details

Description Justin Sherrill 2014-08-01 15:40:52 UTC
Description of problem:

There is some issue with importing some older manifests and then trying to import a newer one


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Import an older manifest (such as the one attached)
2.  Delete the manifest
3.  Import a newer manifest (such as the 2nd one attached)

Actual results:
Error

Expected results:
Works

Additional info:

This completely breaks the satellite.  Even new organizations can no longer import a new manifest.


Traceback and manifests attached

Comment 1 Justin Sherrill 2014-08-01 15:41:33 UTC
Created attachment 923339 [details]
Traceback

Comment 5 Devan Goodwin 2014-08-01 15:47:46 UTC
Can be reproduced easily on candlepin dev environment just by importing those two manifests in order. 

Problem appears to be around product ID 94, content ID 2368 according to candlepin.log. Looks suspiciously like the rel-eng changing content IDs bug but it's surfacing different and the IDs/labels appear consistent.

Old:

       "content": {
                "arches": null,
                "contentUrl": "/content/dist/rhel/workstation/6/$releasever/$basearch/scalablefilesystem/fastrack/os",
                "gpgUrl": "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release",
                "id": "2369",
                "label": "rhel-scalefs-for-rhel-6-workstation-fastrack-rpms",
                "metadataExpire": 86400,
                "modifiedProductIds": [],
                "name": "Red Hat Enterprise Linux Scalable File System (for RHEL 6 Workstation) - Fastrack (RPMs)",
                "releaseVer": null,
                "requiredTags": "rhel-6-workstation",
                "type": "yum",
                "vendor": "Red Hat"
            },
            "enabled": false

New:

       "content": {
                "arches": null,
                "contentUrl": "/content/fastrack/rhel/workstation/6/$basearch/scalablefilesystem/os",
                "gpgUrl": "file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release",
                "id": "2369",
                "label": "rhel-scalefs-for-rhel-6-workstation-fastrack-rpms",
                "metadataExpire": 86400,
                "modifiedProductIds": [],
                "name": "Red Hat Enterprise Linux Scalable File System (for RHEL 6 Workstation) - Fastrack (RPMs)",
                "releaseVer": null,
                "requiredTags": "rhel-6-workstation",
                "type": "yum",
                "vendor": "Red Hat"
            },
            "enabled": false

Only the URL changed. Something wrong with our sync code?

Comment 6 sthirugn@redhat.com 2014-08-01 15:53:03 UTC
@Justin:
Is your manifest old and from stage? If yes, this error looks similar to https://bugzilla.redhat.com/show_bug.cgi?id=1084598

Comment 7 Justin Sherrill 2014-08-01 15:59:05 UTC
@sthirugn,  Nope its from production.  Dgoodwin looked at this a bit and didn't seem to think it was the same issue

Comment 11 Carter Kozak 2014-08-07 14:27:36 UTC
commit 9be94607d7c92afbe36af36f6ffbdac587aad365
Author: ckozak <ckozak@redhat.com>
Date:   Mon Aug 4 12:47:14 2014 -0400

    1126024: 1126026: Contain ProductContent in a list, not a set

Comment 16 sthirugn@redhat.com 2014-09-03 18:53:21 UTC
Verified as per Comment 14.

Comment 17 Bryan Kearney 2014-09-11 12:23:49 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.